<?php
//include "clase.conexion.php";
class clsAsignacionPermiso extends clsConexion{
	public $varTitulo = "PERMISOS DE USUARIO POR ASIGNACION";
	public $varMyTabla  = "_sv_asignacion_permiso";
	public $varMyID  	  = "id_asignacion";
	function FormuBusqueda() {
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"430", "clase"=>"FormTitulo", "titulo"=>$this->varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST", "onsubmit"=>"return false;"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$this->varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"N&deg; Asig. :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", 
																					 "alinear"=>"center", "ancho"=>"80"),
																			   array("tipo"=>"simple", "valor"=>"Nro. Asignacion"))
														 	)
											 ),									   
									   array("titulo"=>"Usuario :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ucod", "name"=>"ucod", "valor"=>NULL, 
																					 "ancho"=>"50", "alinear"=>"center", 
																					 "blur"=>"xajax_seleccionar_usuario(this.value,'ucod','unom')", 
																					 "dclick"=>"fn_cargar_listado_usuario('ucod', 'unom')"),
																			   array("tipo"=>"text", "id"=>"unom", "name"=>"unom", "valor"=>NULL, 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
															)
											 ),	
									   array("titulo"=>"Desde :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"fini", "name"=>"fini", "ancho"=>"110", 
																					 "alinear"=>"center", "valor"=>date('d/m/Y')),
																			   array("tipo"=>"simple", "valor"=>"Fechas de Permisos Asignados"))
														 	)
											 ),
									   array("titulo"=>"Hasta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"ffin", "name"=>"ffin", "ancho"=>"110", 
																					 "alinear"=>"center", "valor"=>date('d/m/Y')),
																			   array("tipo"=>"simple", "valor"=>"Fechas de Permisos Asignados"))
														 	)
											 ),					   
								   ),
					  "boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"100", "texto"=>"Buscar",
					  					   "clase"=>"boton_buscar", "click"=>"javascript:xBuscarJS()"),
									 array("tipo"=>"button", "id"=>"bexp", "name"=>"bexp", "ancho"=>"100", "texto"=>"Exportar",
									 	   "clase"=>"boton_exportar", "click"=>"javascript:xExportarJS()"),								
									 array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"130", "texto"=>"Nuevo Permiso", 
										   "clase"=>"boton_permiso", "click"=>"javascript:xFormuRegistroJS('', '', 'NEW')"),
									 )
					);
		return $this->setTablaForm($varTabla);
		}
	function GridDatos($varForm  = NULL, 
					   $varField = NULL, 
					   $varOrder = NULL
					   )  {
						  
		$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
		$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
		$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')?$varForm["cod"]:"NULL";
		$varUsu = (isset($varForm["ucod"]) && $varForm["ucod"]<>'')?$varForm["ucod"]:"NULL";
		$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')?"'".FechaMySql($varForm["fini"])."'":"NULL";
		$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')?"'".FechaMySql($varForm["ffin"])."'":"NULL";
		
		$sql = "call spQuery_LiqReparto_Asignacion_Permiso($varCod, $varUsu, $varIni, $varFin, $varFie, $varOrd);";
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"800", "sql_cab"=>$sql,	"pages"=>20,
					    "conte"=>array(array("titulo"=>"CASI",	"ancho"=>"30" , "alinear"=>"center"), 
									   array("titulo"=>"FECHA", "ancho"=>"80",  "alinear"=>"center", "fijo"  =>"SI"),
									   array("titulo"=>"PLACA", "ancho"=>"50" , "alinear"=>"center"),
									   array("titulo"=>"CUSU",	"ancho"=>"30" , "alinear"=>"center", "oculto"=>"SI"),
									   array("titulo"=>"USUARIO","ancho"=>"50", "alinear"=>"center", "fijo"=>"SI"),
									   array("titulo"=>"NOMBRE","ancho"=>"200", "fijo"=>"SI", "funcion"=>array("contar")),
									   array("titulo"=>"DESDE",	"ancho"=>"50", "fijo"=>"SI", "alinear"=>"center"),
									   array("titulo"=>"HASTA", "ancho"=>"50", "fijo"=>"SI", "alinear"=>"center"),
									   array("titulo"=>"UCREADO", "ancho"=>"100", "alinear"=>"center", "fijo"=>"SI"),
									   array("titulo"=>"FCREADO", "ancho"=>"100", "fijo"=>"SI")
									   ), 
						"boton"=>array(array("tipo"=>"img", "img"=>"images/b_table_edit.png", 
											"toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>EDITAR</b> EL PERMISO"),
															array("valor"=>"<br><b>Nro. Asignacion :</b> "),
															array("valor"=>0, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Fecha : </b>"),
															array("valor"=>1, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Placa : </b>"),
															array("valor"=>2, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Usuario : </b>"),
															array("valor"=>4, "tipo"=>"INDEX"),
															),
											 "click"=>array("funcion"=>"xFormuRegistroJS",
															"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																		   array("valor"=>3, "tipo"=>"INDEX"),
																		   array("valor"=>"EDIT", "tipo"=>"TEXT"))
															)
											),
									   array("tipo"=>"img", "img"=>"images/b_table_delete.png", 
											"toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>ELIMINAR</b> EL PERMISO"),
															array("valor"=>"<br><b>Nro. Asignacion :</b> "),
															array("valor"=>0, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Fecha : </b>"),
															array("valor"=>1, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Placa : </b>"),
															array("valor"=>2, "tipo"=>"INDEX"),
															array("valor"=>"<br><b>Usuario : </b>"),
															array("valor"=>4, "tipo"=>"INDEX"),
															),
											 "click"=>array("funcion"=>"xEliminarJS",
															"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																		   array("valor"=>3, "tipo"=>"INDEX"),
																		   array("valor"=>"this", "tipo"=>"NUM") 
																		   ),
															
															)
											)
										)
							);
		return $this->SetGridTabla2($varTabla);
		}
	function FormuRegistro($varAsi = NULL, $varUsu=NULL, $varOpt=NULL) {
		if($varOpt=="NEW") {
			$SubTit = $this->varTitulo." - NUEVO";
			$Permite = $_SESSION["_FINS"];
			$varLock = "NO";
			$varClas = "inputNormal";
			$varBlurAsi = "xajax_seleccionar_asignacion(this.value,'acod','anom')";
			$varBlurUsu = "xajax_seleccionar_usuario(this.value,'xcod','xnom')";
			$varDoblAsi = "fn_cargar_listado_asignacion('acod', 'anom')";
			$varDoblUsu = "fn_cargar_listado_usuario('xcod', 'xnom')";
			$Fila = NULL;			
			}
		else {
			$SubTit =  $this->varTitulo." - EDITAR";
			$varLock = "SI";
			$varClas = "inputDisable";
			$sql = "select AP.id_asignacion, CONCAT('Fecha => ',date_format(A.id_fecha,'%d/%m/%Y'), ' - Placa => ', V.placa) AS asignacion,
					AP.id_usuario, CONCAT(U.nombre, ' (', UPPER(U.usuario), ')') as usuario,
					date_format(AP.fecha_ini,'%d/%m/%Y') as fecha_ini,
					date_format(AP.fecha_fin,'%d/%m/%Y') as fecha_fin
					from _sv_asignacion_permiso AP
					inner join _sv_asignacion A ON AP.id_asignacion = A.id_asignacion
					inner join _sys_usuario U ON AP.id_usuario = U.id_usuario
					inner join _sv_vehiculo V ON A.id_vehiculo = V.id_vehiculo
					where AP.id_asignacion = $varAsi and AP.id_usuario = $varUsu;";
			$this->AbrirConexion();
			$rs = $this->Query($sql);
			$this->CerrarConexion();
			$Fila = $this->FetchArray($rs);
			}
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"FormTitulo", "titulo"=>"".$SubTit,
						"formu"=>array("id"=>"formReg", "name"=>"formReg", "metodo"=>"POST", "onsubmit"=>"return false;"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$SubTit),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$varOpt)
									  ),
						"conte"=>array(array("titulo"=>"N&deg; Asig. :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"acod", "name"=>"acod", 
																					 "valor"=>$Fila["id_asignacion"], "ancho"=>"50", "alinear"=>"center", 
																					 "blur"=>$varBlurAsi, "dclick"=>$varDoblAsi,
																					 "clase"=>$varClas, "locked"=>$varLock),
																			   array("tipo"=>"text", "id"=>"anom", "name"=>"anom", 
																			   		 "valor"=>$Fila["asignacion"], 
																					 "ancho"=>"300", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),									   
									   array("titulo"=>"Usuario :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"xcod", "name"=>"xcod",
																					 "valor"=>$Fila["id_usuario"], "ancho"=>"50", "alinear"=>"center", 
																					 "blur"=>$varBlurUsu, "dclick"=>$varDoblUsu,
																					 "clase"=>$varClas, "locked"=>$varLock),
																			   array("tipo"=>"text", "id"=>"xnom", "name"=>"xnom", 
																			   		 "valor"=>$Fila["usuario"], 
																					 "ancho"=>"300", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
															)
											 ),	
									   array("titulo"=>"F.Inicial :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"finir", "name"=>"finir", "ancho"=>"110", 
																					 "alinear"=>"center", "valor"=>$Fila["fecha_ini"]))
														 	)
											 ),
									   array("titulo"=>"F.Final :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"texto", "id"=>"ffinr", "name"=>"ffinr", "ancho"=>"110", 
																					 "alinear"=>"center", "valor"=>$Fila["fecha_fin"]))
														 	)
											 ),					   
								   ),
					  "boton"=>array(array("tipo"=>"button", "id"=>"bsav", "name"=>"bsav", "ancho"=>"160",
										   "clase"=>"boton_guardar", "texto"=>"Registrar Permiso", "click"=>"javascrip:xGrabarJS('NEW')"),
									 array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"100",
											 "clase"=>"boton_cancelar", "texto"=>"Regresar", "click"=>"javascrip:xajax_xRegresar()")
									 )
					);
		return $this->setTablaForm($varTabla);
		}
					
	function ProcesoGrabar($varForm = NULL) {		
		$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$varAsi = (isset($varForm["acod"]) && $varForm["acod"]<>"")?$varForm["acod"]:"NULL";
		$varTra = (isset($varForm["xcod"]) && $varForm["xcod"]<>"")?$varForm["xcod"]:"NULL";
		$varIni = (isset($varForm["finir"]) && $varForm["finir"]<>"")?"'".FechaMySql($varForm["finir"])."'":"NULL";
		$varFin = (isset($varForm["ffinr"]) && $varForm["ffinr"]<>"")?"'".FechaMySql($varForm["ffinr"])."'":"NULL";
		
		//Registramos cabecera de la asignación
		$sql = "call spMante_Asignacion_Permiso('$varForm[opt]', $varAsi, $varTra, $varIni, $varFin, $varUsr);";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();
		$fila = $this->FetchArray($rs);
		$varReturn = $fila[0];
		return $varReturn;
		}
		
	function ProcesoEliminar($varAsi, $varUsu) {
		$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$sql = "delete from _sv_asignacion_permiso where id_asignacion = $varAsi and id_usuario = $varUsu;";
		$this->AbrirConexion();
		$rs = $this->Query($sql);
		$this->CerrarConexion();
		return "OK";
		}
	}
	
?>